# connectionInstructions

Instructions for setting up a connector.

### Examples

```graphql
type ConnectionInstructions {
  type: CredentialsType
  title: String
  details: [String]
  linksToDocs: [LinkToDocs]
  permissions: [String]
  hostURL: String
}
```

### Fields

| Field                                                                                                        | Description                                                                    | Supported fields                                               |
| ------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------ | -------------------------------------------------------------- |
| type [`CredentialsType`](/api-documentation/api-reference/api--connectors/types/enums/credentials-type.md)   | Authentication type these instructions apply to                                |                                                                |
| title `String`                                                                                               | Title of the instruction section                                               |                                                                |
| details `[String]`                                                                                           | Step-by-step setup instructions                                                |                                                                |
| linksToDocs [`[LinkToDocs]`](/api-documentation/api-reference/api--connectors/types/objects/link-to-docs.md) | An array of links to different releavnt documentations                         | <p>href <code>String!</code><br>title <code>String!</code></p> |
| permissions `[String]`                                                                                       | An array of permissions needed for this connector                              |                                                                |
| hostURL `String`                                                                                             | Default host URL hint for this credential type (used as placeholder in the UI) |                                                                |

### References

#### Fields with this object:

* [{} Connector.connectionInstructions](/api-documentation/api-reference/api--connectors/types/objects/connector.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--connectors/types/objects/connection-instructions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
